Index: includes/Image.php
===================================================================
--- includes/Image.php	(.../REL1_10_0RC2/phase3)	(revision 22047)
+++ includes/Image.php	(.../REL1_10_0/phase3)	(revision 22047)
@@ -1834,7 +1834,7 @@
 						list( $major_mime, $minor_mime ) = self::splitMime( $mime );
 						$handler = MediaHandler::getHandler( $mime );
 						if ( $handler ) {
-							$metadata = $handler->getMetadata( $image, $tempFile );
+							$metadata = $handler->getMetadata( false, $tempFile );
 						} else {
 							$metadata = '';
 						}
Index: includes/DefaultSettings.php
===================================================================
--- includes/DefaultSettings.php	(.../REL1_10_0RC2/phase3)	(revision 22047)
+++ includes/DefaultSettings.php	(.../REL1_10_0/phase3)	(revision 22047)
@@ -31,7 +31,7 @@
 $wgConf = new SiteConfiguration;
 
 /** MediaWiki version number */
-$wgVersion			= '1.10.0rc2';
+$wgVersion			= '1.10.0';
 
 /** Name of the site. It must be changed in LocalSettings.php */
 $wgSitename         = 'MediaWiki';
Index: includes/Pager.php
===================================================================
--- includes/Pager.php	(.../REL1_10_0RC2/phase3)	(revision 22047)
+++ includes/Pager.php	(.../REL1_10_0/phase3)	(revision 22047)
@@ -72,17 +72,18 @@
 	public $mResult;
 
 	function __construct() {
-		global $wgRequest;
+		global $wgRequest, $wgUser;
 		$this->mRequest = $wgRequest;
-
+		
 		# NB: the offset is quoted, not validated. It is treated as an arbitrary string
 		# to support the widest variety of index types. Be careful outputting it into 
 		# HTML!
 		$this->mOffset = $this->mRequest->getText( 'offset' );
-		$this->mLimit = $this->mRequest->getInt( 'limit', $this->mDefaultLimit );
-		if ( $this->mLimit <= 0 || $this->mLimit > 50000 ) {
-			$this->mLimit = $this->mDefaultLimit;
-		}
+		
+		# Use consistent behavior for the limit options
+		$this->mDefaultLimit = intval( $wgUser->getOption( 'rclimit' ) );
+		list( $this->mLimit, /* $offset */ ) = $this->mRequest->getLimitOffset();
+		
 		$this->mIsBackwards = ( $this->mRequest->getVal( 'dir' ) == 'prev' );
 		$this->mIndexField = $this->getIndexField();
 		$this->mDb = wfGetDB( DB_SLAVE );
Index: RELEASE-NOTES
===================================================================
--- RELEASE-NOTES	(.../REL1_10_0RC2/phase3)	(revision 22047)
+++ RELEASE-NOTES	(.../REL1_10_0/phase3)	(revision 22047)
@@ -3,6 +3,18 @@
 Security reminder: MediaWiki does not require PHP's register_globals
 setting since version 1.2.0. If you have it on, turn it *off* if you can.
 
+== MediaWiki 1.10.0 ==
+
+May 9, 2007
+
+This is the quarterly release snapshot for Spring 2007. See below for a full
+list of changes since the 1.9.x series.
+
+Changes since 1.10.0rc2:
+
+* (bug 9808) Fix regression that ignored user 'rclimit' option for Special:Contributions
+
+
 == MediaWiki 1.10.0rc2 ==
 
 May 4, 2007
@@ -10,7 +22,7 @@
 THIS IS A RELEASE CANDIDATE MADE AVAILABLE FOR TESTING!
 A FINAL 1.10.0 RELEASE WILL APPEAR WITHIN A FEW DAYS.
 
-Changes since 1.10.0RC1:
+Changes since 1.10.0rc1:
 * Various l10n fixes and updates
 * Fix for upgrade of page_restrictions table
 * (bug 9780) Fix normalization of titles with initial colon followed by whitespace
@@ -18,7 +30,7 @@
 * Avoid cyclic stub problems when authorization hooks do funny things with
   the user and the database at load time
 
-== MediaWiki 1.10.0RC1 ==
+== MediaWiki 1.10.0rc1 ==
 
 April 30, 2007
 
